Package Details: iep 3.7-2

Git Clone URL: https://aur.archlinux.org/iep.git (read-only)
Package Base: iep
Description: Pronounced as 'eep'is a cross-platform Python IDE focused on interactivity and introspection, which makes it very suitable for scientific computing. Its practical design is aimed at simplicity and efficiency.
Upstream URL: http://iep-project.org
Licenses: BSD
Submitter: hseara
Maintainer: hseara
Last Packager: hseara
Votes: 26
Popularity: 0.014813
First Submitted: 2011-03-05 14:00
Last Updated: 2016-03-15 14:43

Dependencies (4)

Required by (0)

Sources (2)

Latest Comments

hseara commented on 2014-01-29 09:36

iep requires that at least either 'python-pyqt4' or 'python-pyside' (AUR) is installed for working, but not for compiling. I have added both packages in the optdepend array with a note explaining this. It is up to you which to choose. Thanks for the tip.
Note: Both 'python-pyqt4' or 'python-pyside' (AUR) can be installed simultaneously.

Huulivoide commented on 2014-01-27 08:58

python-pyqt4 should be in the depencys

hseara commented on 2013-12-05 07:30

Hi thanks for the extra vote :).

Regarding moving desktop files out of the PKGBUILD I will not make your suggested changes right now. Please notice that this is an style issue not really a problem. Moreover, there is no place in the packaging rules which advices against it, please correct me if I'm wrong and I will proceed with the changes ASAP. In my opinion having them inside has advantages, e.g. people can make changes in the desktop file on the fly when using tools like "yaourt" before installing without having to mess up with the sha1sums. Still I understand your point. If more people suggest me to do so I might change my mind for the next release. Thanks for the comments they have made me think.

windel commented on 2013-12-04 18:19

One extra vote here ;)

Question: can you move the desktop files out of the PKGBUILD into seperate extra files to make the PKGBUILD cleaner?

hseara commented on 2013-11-12 08:19

Updated to version 3.3 => All old problems gone.

hseara commented on 2013-10-13 16:07

I'm aware of the problem with "File browser" and the patch. I file myself a bug report against it. Anyway this package wants to provide just the latest stable vanilla version available, no patches unless iep do not start or a potential security thread. Once upstream provides us with a new release which I suspect will be soon I will update the package. Another option is to make a iep-git package for those not willing to wait.

JohnColeman commented on 2013-10-13 10:31

iep is great, thanks a lot to everyone who developed it.
But I still had to patch the File browser tool using Almar Klein's helpful post at Bitbucket: https://bitbucket.org/iep-project/iep/commits/1771c296299cdf19ded1f7a0bd83adb6c07b9002.

No big deal, and thanks again.
John

hseara commented on 2013-06-11 18:49

Thanks for the note. I'm aware of the change. Still I will not make any change until the official page changes the offcial link (http://www.iep-project.org/). Anyway we have bigger problems due to the fact that we are using qt 4.8 (https://bitbucket.org/iep-project/iep/issue/226/iep-does-not-start-qtextblockuserdata). Anyway, I will keep an eye in case somthing changes.

jlebleu commented on 2013-06-11 15:04

iep has moved from googlecode to bitbucket. It is said on googlecode that "this googlecode page is now deprecated.", so source tarball can be downloaded here : https://bitbucket.org/iep-project/iep/downloads or directly : https://bitbucket.org/iep-project/iep/get/v3.2.zip